Skip to content

Observability

All operations require authentication.

28 operationsv1/cloud/project
Agent setup

List log kindsProduction

GET
/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/kind

Returns the names of the log kinds AI Deploy emits, which can be forwarded to a stream.

Path parameters

appId
required
stringuuid

App ID

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/kind \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List log kindsProduction

GET
/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/kind

Returns the names of the log kinds AI Endpoints emits, which can be forwarded to a stream.

Path parameters

modelName
required
string

Model name

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses modelName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/kind \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List log kindsProduction

GET
/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/kind

Returns the names of the log kinds AI Training emits, which can be forwarded to a stream.

Path parameters

jobId
required
stringuuid

Job ID

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/kind \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List log kindsProduction

GET
/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/kind

Returns the names of the log kinds AI Notebooks emits, which can be forwarded to a stream.

Path parameters

notebookId
required
string

Notebook ID

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses notebookId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/kind \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List log subscriptionsProduction

GET
/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/subscription

Returns the identifiers of the AI Deploy log subscriptions. Set kind to restrict the list to one log kind.

Path parameters

appId
required
stringuuid

App ID

serviceName
required
string

Service name

Query parameters

kind
string

Filter on a specific kind (e.g., audit)

Response

200string[]successful operation

Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

List log subscriptionsProduction

GET
/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/subscription

Returns the identifiers of the AI Endpoints log subscriptions. Set kind to restrict the list to one log kind.

Path parameters

modelName
required
string

Model name

serviceName
required
string

Service name

Query parameters

kind
string

Filter on a specific kind (e.g., audit)

Response

200string[]successful operation

Example uses modelName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

List log subscriptionsProduction

GET
/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/subscription

Returns the identifiers of the AI Training log subscriptions. Set kind to restrict the list to one log kind.

Path parameters

jobId
required
stringuuid

Job ID

serviceName
required
string

Service name

Query parameters

kind
string

Filter on a specific kind (e.g., audit)

Response

200string[]successful operation

Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

List log subscriptionsProduction

GET
/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/subscription

Returns the identifiers of the AI Notebooks log subscriptions. Set kind to restrict the list to one log kind.

Path parameters

notebookId
required
string

Notebook ID

serviceName
required
string

Service name

Query parameters

kind
string

Filter on a specific kind (e.g., audit)

Response

200string[]successful operation

Example uses notebookId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get a log kindProduction

GET
/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/kind/{name}

Returns a log kind and the additional fields its logs carry.

Path parameters

appId
required
stringuuid

App ID

name
required
string

Name

serviceName
required
string

Service name

Response

200LogKindsuccessful operation
additionalReturnedFields
read-only
string[]

List of additional log fields managed in this log kind

createdAt
read-only
stringdate-time

Creation date of the log kind

displayName
read-only
string

Log kind display name

kindId
read-only
stringuuid

Log kind ID

name
read-only
string

Log kind name

updatedAt
read-only
stringdate-time

Last update date of the log kind

Example uses appId = 00000000-0000-0000-0000-000000000000, name = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/kind/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Get a log kindProduction

GET
/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/kind/{name}

Returns a log kind and the additional fields its logs carry.

Path parameters

modelName
required
string

Model name

name
required
string

Name

serviceName
required
string

Service name

Response

200LogKindsuccessful operation
additionalReturnedFields
read-only
string[]

List of additional log fields managed in this log kind

createdAt
read-only
stringdate-time

Creation date of the log kind

displayName
read-only
string

Log kind display name

kindId
read-only
stringuuid

Log kind ID

name
read-only
string

Log kind name

updatedAt
read-only
stringdate-time

Last update date of the log kind

Example uses modelName = string, name = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/kind/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Get a log kindProduction

GET
/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/kind/{name}

Returns a log kind and the additional fields its logs carry.

Path parameters

jobId
required
stringuuid

Job ID

name
required
string

Name

serviceName
required
string

Service name

Response

200LogKindsuccessful operation
additionalReturnedFields
read-only
string[]

List of additional log fields managed in this log kind

createdAt
read-only
stringdate-time

Creation date of the log kind

displayName
read-only
string

Log kind display name

kindId
read-only
stringuuid

Log kind ID

name
read-only
string

Log kind name

updatedAt
read-only
stringdate-time

Last update date of the log kind

Example uses jobId = 00000000-0000-0000-0000-000000000000, name = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/kind/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Get a log kindProduction

GET
/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/kind/{name}

Returns a log kind and the additional fields its logs carry.

Path parameters

name
required
string

Name

notebookId
required
string

Notebook ID

serviceName
required
string

Service name

Response

200LogKindsuccessful operation
additionalReturnedFields
read-only
string[]

List of additional log fields managed in this log kind

createdAt
read-only
stringdate-time

Creation date of the log kind

displayName
read-only
string

Log kind display name

kindId
read-only
stringuuid

Log kind ID

name
read-only
string

Log kind name

updatedAt
read-only
stringdate-time

Last update date of the log kind

Example uses name = string, notebookId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/kind/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Get a log subscriptionProduction

GET
/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/subscription/{subscriptionId}

Returns the log kind and the destination stream of a subscription.

Path parameters

appId
required
stringuuid

App ID

serviceName
required
string

Service name

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionsuccessful operation
createdAt
read-only
stringdate-time

Creation date of the subscription

kind
read-only
string

Log kind name of this subscription

resource
read-only
SubscriptionResource

Subscribed resource, where the logs come from

serviceName
read-only
string

Name of the destination log service

streamId
read-only
string

Id of the destination log stream

subscriptionId
read-only
stringuuid

Subscription ID

updatedAt
read-only
stringdate-time

Last update date of the subscription

Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Get a log subscriptionProduction

GET
/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/subscription/{subscriptionId}

Returns the log kind and the destination stream of a subscription.

Path parameters

modelName
required
string

Model name

serviceName
required
string

Service name

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionsuccessful operation
createdAt
read-only
stringdate-time

Creation date of the subscription

kind
read-only
string

Log kind name of this subscription

resource
read-only
SubscriptionResource

Subscribed resource, where the logs come from

serviceName
read-only
string

Name of the destination log service

streamId
read-only
string

Id of the destination log stream

subscriptionId
read-only
stringuuid

Subscription ID

updatedAt
read-only
stringdate-time

Last update date of the subscription

Example uses modelName = string, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Get a log subscriptionProduction

GET
/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/subscription/{subscriptionId}

Returns the log kind and the destination stream of a subscription.

Path parameters

jobId
required
stringuuid

Job ID

serviceName
required
string

Service name

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionsuccessful operation
createdAt
read-only
stringdate-time

Creation date of the subscription

kind
read-only
string

Log kind name of this subscription

resource
read-only
SubscriptionResource

Subscribed resource, where the logs come from

serviceName
read-only
string

Name of the destination log service

streamId
read-only
string

Id of the destination log stream

subscriptionId
read-only
stringuuid

Subscription ID

updatedAt
read-only
stringdate-time

Last update date of the subscription

Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Get a log subscriptionProduction

GET
/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/subscription/{subscriptionId}

Returns the log kind and the destination stream of a subscription.

Path parameters

notebookId
required
string

Notebook ID

serviceName
required
string

Service name

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionsuccessful operation
createdAt
read-only
stringdate-time

Creation date of the subscription

kind
read-only
string

Log kind name of this subscription

resource
read-only
SubscriptionResource

Subscribed resource, where the logs come from

serviceName
read-only
string

Name of the destination log service

streamId
read-only
string

Id of the destination log stream

subscriptionId
read-only
stringuuid

Subscription ID

updatedAt
read-only
stringdate-time

Last update date of the subscription

Example uses notebookId = string, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Create a log subscriptionProduction

POST
/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/subscription

Forwards AI Deploy logs of one kind to a Logs Data Platform stream. The subscription is created asynchronously and the response returns the operation identifier.

Path parameters

appId
required
stringuuid

App ID

serviceName
required
string

Service name

Request body (required)

kind
required
string

Log kind name to subscribe to

streamId
required
stringuuid

Customer log stream ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
read-only
stringuuid

Identifier of the operation

serviceName
read-only
string

Operation owner's service name

Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Create a log subscriptionProduction

POST
/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/subscription

Forwards AI Endpoints logs of one kind to a Logs Data Platform stream. The subscription is created asynchronously and the response returns the operation identifier.

Path parameters

modelName
required
string

Model name

serviceName
required
string

Service name

Request body (required)

kind
required
string

Log kind name to subscribe to

streamId
required
stringuuid

Customer log stream ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
read-only
stringuuid

Identifier of the operation

serviceName
read-only
string

Operation owner's service name

Example uses modelName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Create a log subscriptionProduction

POST
/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/subscription

Forwards AI Training logs of one kind to a Logs Data Platform stream. The subscription is created asynchronously and the response returns the operation identifier.

Path parameters

jobId
required
stringuuid

Job ID

serviceName
required
string

Service name

Request body (required)

kind
required
string

Log kind name to subscribe to

streamId
required
stringuuid

Customer log stream ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
read-only
stringuuid

Identifier of the operation

serviceName
read-only
string

Operation owner's service name

Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Create a log subscriptionProduction

POST
/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/subscription

Forwards AI Notebooks logs of one kind to a Logs Data Platform stream. The subscription is created asynchronously and the response returns the operation identifier.

Path parameters

notebookId
required
string

Notebook ID

serviceName
required
string

Service name

Request body (required)

kind
required
string

Log kind name to subscribe to

streamId
required
stringuuid

Customer log stream ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
read-only
stringuuid

Identifier of the operation

serviceName
read-only
string

Operation owner's service name

Example uses notebookId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/subscription \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Generate a temporary log URLProduction

POST
/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/url

Generates a temporary URL to read the logs of one kind. The URL expires.

Path parameters

appId
required
stringuuid

App ID

serviceName
required
string

Service name

Request body (required)

kind
required
string

Log kind name

Response

200TemporaryLogsLinksuccessful operation
expirationDate
read-only
stringdate-time

Temporary url expiration date

url
read-only
string

Temporary url

Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}

Generate a temporary log URLProduction

POST
/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/url

Generates a temporary URL to read the logs of one kind. The URL expires.

Path parameters

modelName
required
string

Model name

serviceName
required
string

Service name

Request body (required)

kind
required
string

Log kind name

Response

200TemporaryLogsLinksuccessful operation
expirationDate
read-only
stringdate-time

Temporary url expiration date

url
read-only
string

Temporary url

Example uses modelName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}

Generate a temporary log URLProduction

POST
/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/url

Generates a temporary URL to read the logs of one kind. The URL expires.

Path parameters

jobId
required
stringuuid

Job ID

serviceName
required
string

Service name

Request body (required)

kind
required
string

Log kind name

Response

200TemporaryLogsLinksuccessful operation
expirationDate
read-only
stringdate-time

Temporary url expiration date

url
read-only
string

Temporary url

Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}

Generate a temporary log URLProduction

POST
/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/url

Generates a temporary URL to read the logs of one kind. The URL expires.

Path parameters

notebookId
required
string

Notebook ID

serviceName
required
string

Service name

Request body (required)

kind
required
string

Log kind name

Response

200TemporaryLogsLinksuccessful operation
expirationDate
read-only
stringdate-time

Temporary url expiration date

url
read-only
string

Temporary url

Example uses notebookId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}

Delete a log subscriptionProduction

DELETE
/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/subscription/{subscriptionId}

Deletes the subscription and stops forwarding AI Deploy logs to the stream.

Path parameters

appId
required
stringuuid

App ID

serviceName
required
string

Service name

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
read-only
stringuuid

Identifier of the operation

serviceName
read-only
string

Operation owner's service name

Example uses appId = 00000000-0000-0000-0000-000000000000, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/app/{appId}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Delete a log subscriptionProduction

DELETE
/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/subscription/{subscriptionId}

Deletes the subscription and stops forwarding AI Endpoints logs to the stream.

Path parameters

modelName
required
string

Model name

serviceName
required
string

Service name

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
read-only
stringuuid

Identifier of the operation

serviceName
read-only
string

Operation owner's service name

Example uses modelName = string, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/endpoint/{modelName}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Delete a log subscriptionProduction

DELETE
/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/subscription/{subscriptionId}

Deletes the subscription and stops forwarding AI Training logs to the stream.

Path parameters

jobId
required
stringuuid

Job ID

serviceName
required
string

Service name

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
read-only
stringuuid

Identifier of the operation

serviceName
read-only
string

Operation owner's service name

Example uses jobId = 00000000-0000-0000-0000-000000000000, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/job/{jobId}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}

Delete a log subscriptionProduction

DELETE
/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/subscription/{subscriptionId}

Deletes the subscription and stops forwarding AI Notebooks logs to the stream.

Path parameters

notebookId
required
string

Notebook ID

serviceName
required
string

Service name

subscriptionId
required
stringuuid

Subscription ID

Response

200LogSubscriptionResponsesuccessful operation
operationId
read-only
stringuuid

Identifier of the operation

serviceName
read-only
string

Operation owner's service name

Example uses notebookId = string, serviceName = string, subscriptionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/ai/notebook/{notebookId}/log/subscription/{subscriptionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}